#grids {
  display: grid;
  grid-auto-flow: row;
}

#grids > * {
  margin: 4px;
}

#grids div {
  /* border: 1px solid hotpink; */
  background-color: orangered;
  opacity: 0.7;
  padding: 20px;
  margin: 4px;
  color: white;
}

#grids header {
  display: flex;
  flex-direction: row-reverse;
  border: 1px solid blue;
}

#grids section {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  border: 1px solid green;
}

#grids footer {
  display: grid;
  grid-auto-flow: column;
  justify-content: space-around;
  border: 1px solid orangered;
}

/* spécificités */

#grids header div:first-child {
  display: flex;
  flex-grow: 1;
}

#grids footer div {
  width: 100px;
}
